
<template>
  <div id="app">

		<b-jumbotron fluid container-fluid class="my-jumbotron">
			<b-container class="text-center">
				<b-row>
					<b-col>
						<div class="d-inline-block">
						<b-nav>
							<b-nav-item v-b-modal.ourGoalModal>Our Goal</b-nav-item>
							<b-nav-item href="#takeaction">Take Action</b-nav-item>
						</b-nav>
						</div>
					</b-col>
				</b-row>
			</b-container>

			<b-container class="jumbo-content">
				<b-row class="text-center">
					<b-col sm="12" md="6">
						<b-img width="250" :src="require('./assets/pfail.png')"/>
					</b-col>
					<b-col sm="12" md="6" style="padding-top:1.25rem;">
						<h4>TL;DR</h4>
						<hr/>
						<p>
						Patreon has done something far worse than even Patreon itself realizes.
						They have shown us that they promote controlled speech, not free speech.
						By selectively, suddenly, and unfairly closing accounts, they have shown us the dangers of trusting a 3rd party when our income and livelihood is at stake.
						<a href="#takeaction">Take action</a> right now from your computer to help make a difference.
						</p>
						<hr/>
						<b-list-group>
							<b-list-group-item>
								<a target="_blank" href="https://www.youtube.com/results?search_query=%23PatreonPurge">
									<b-img width="32" :src="require('./assets/youtube.png')"/> #PatreonPurge on YouTube
								</a>
							</b-list-group-item>
							<b-list-group-item>
								<a target="_blank" href="https://twitter.com/search?q=%23PatreonPurge&src=typd">
									<b-img width="32" :src="require('./assets/twitter.png')"/> #PatreonPurge on Twitter
								</a>
							</b-list-group-item>
						</b-list-group>
						<!--<p><a target="_blank" href="https://www.youtube.com/results?search_query=%23PatreonPurge">#PatreonPurge on YouTube</a></p>
						<p><a target="_blank" href="https://twitter.com/search?q=%23PatreonPurge&src=typd">#PatreonPurge on Twitter</a></p>-->
					</b-col>
				</b-row>
			</b-container>
		</b-jumbotron>

		<b-container class="extra-space" id="whatsHappening">
			<b-row class="text-center">
				<b-col>
					<h4>What's Happening Here?</h4>
				</b-col>
			</b-row>
			<b-row class="text-center">
				<b-col sm="12" md="6" lg="4">
					<b-img width="100" :src="require('./assets/banned.png')"/>
					<p>
						Patreon has been selectively closing accounts for a while, but its starting to catch up with them.
						We are working on a <span class="btn-link" v-b-modal.timelineModal>timeline</span> of people having their accounts closed or deciding to preemptively leave.
					</p>
				</b-col>
				<b-col sm="12" md="6" lg="4">
					<b-img width="100" :src="require('./assets/controlled-speech.png')"/>
					<p>
						They have shown that they promote controlled speech, not free speech.
						We should not empower companies who do not promote free speech and don't even follow their own ToS and guidelines.
					</p>
				</b-col>
				<b-col sm="12" md="6" lg="4">
					<b-img width="100" :src="require('./assets/stick-figure-protest.png')"/>
						<p>
							There are <a href="#takeaction">easy steps you can take right now</a> that will make a difference.
							We don't have to <b>force</b> Patreon to do anything; we can simply leave them behind.
						</p>
				</b-col>
			</b-row>
		</b-container>

		<b-container>
			<hr/>
		</b-container>

		<b-container class="extra-space">
			<b-row class="text-center">
				<b-col>
					<h4>Why This Matters</h4>
				</b-col>
			</b-row>
			<b-row class="text-center">
				<b-col sm="12" md="6">
					<p>
					What's the big deal? So a few people have their account closed on Patreon. Isn't it Patreon's right to decide who they do business with?
					</p>
					<p>
					Absolutely.
					And as free market participants, we have the exact same right.
					We can take this opportunity to <b>show people what is happening</b> and encourage them to <b>learn about</b> and <b>empower</b> alternatives to Patreon.
					</p>
					<p>
					We should not continue to empower companies that promote <b>controlled</b> speech and act irrationally and unfairly by selectively closing their customers' accounts.
					</p>
					<hr class="d-xs-block d-md-none"/>
				</b-col>
				<b-col sm="12" md="6">
					<h6>Some Alternatives</h6>
					<b-list-group>
						<b-list-group-item>
							<a target="_blank" href="https://bitcoin.org">
								<b-img width="32" :src="require('./assets/bitcoin.png')"/> Bitcoin
							</a>
						</b-list-group-item>
						<b-list-group-item>
							<a target="_blank" href="https://www.bitbacker.io">
								<b-img width="32" :src="require('./assets/bitbacker.png')"/> BitBacker.io
							</a>
						</b-list-group-item>
						<b-list-group-item>
							<a target="_blank" href="https://www.subscribestar.com/?sref=kzok">
								<b-img width="32" :src="require('./assets/subscribestar.jpg')"/> SubscribeStar.com
							</a>
						</b-list-group-item>
					</b-list-group>
				</b-col>
			</b-row>
		</b-container>

							<!--<div>
								<b-embed type="iframe"
									aspect="16by9"
									src="https://www.youtube.com/embed/Zp9ZJiFFBnU"
									allowfullscreen
								></b-embed>
										Even if by some turn of events they reinstate the closed accounts, people will always remember what happened: a company that everyone trusted destroyed people's income overnight.
							</div>-->
		<b-container>

			<b-row>
				<b-col>


				</b-col>
			</b-row>

		</b-container>

		<b-container fluid class="footer">
			<b-container>
				<b-row class="text-center">
					<b-col sm="12" lg="6">
						<h2 id="takeaction">Take Action</h2>
						<hr/>
									<p>There are several easy steps you can take, right now from your computer, that have the potential to make a big difference:</p>
									<ul class="text-left">
										<li>Contact the people who you support that are on Patreon. Let them know what is happening and voice your concerns.</li>
										<li>Help promote alternatives to Patreon by joining <a target="_blank" href="https://www.subscribestar.com/?sref=kzok">SubscribeStar</a> or <a target="_blank" href="https://www.bitbacker.io">BitBacker.io</a>.</li>
										<li><u><b>Invest in yourself by investing in your education.</b></u> Take some time to learn about Bitcoin. Do not go willy-nilly buying crypto-currency. Learn first. A great place to start is Andreas Antonopolous's <a target="_blank" href="https://www.youtube.com/watch?v=l1si5ZWLgy0&list=PLPQwGV1aLnTuN6kdNWlElfr2tzigB9Nnj">Bitcoin for Beginners playlist</a>.</li>
									</ul>

									<hr/>
					</b-col>
					<b-col sm="12" lg="6" class="text-center">
						<h2>Donate </h2>
						<p>
						<span class="btn-link" v-b-modal.donationInfoModal>Why should I donate? Where does my money go?</span>
						</p>
						<a class="btc-donate-link" href="bitcoin:3D9NTCip739xEMDjbhUksJoQ34NENX3Ufm">
							<img width="256" :src="require('./assets/donationqr-btc.png')"/>
						</a>

						<p>3D9NTCip739xEMDjbhUksJoQ34NENX3Ufm</p>

						<hr/>
					</b-col>
				</b-row>
			</b-container>
		</b-container>

		<b-modal class="text-center" ok-only id="ourGoalModal" size="lg" centered title="Our Goal">
			<p>
				The goal of this site is to be a source of information regarding the controversy surrounding Patreon.
				With a catchy domain name and easy to digest information, you can refer people here to get them all caught up on what is happening.
				Also, we want to provide people with steps they can take if they wish to effect change.
			</p>
			<b-img :src="require('./assets/check-out-patreonfail.png')"/>
		</b-modal>

		<b-modal class="text-center" ok-only id="timelineModal" size="lg" centered title="People Banned From / Leaving Patreon">
			<p>If anyone is missing, please let us know! <a href="mailto:patreon.fail@protonmail.com">patreon.fail@protonmail.com</a></p>
			<b-list-group>
				<b-list-group-item v-for="event in timeline" :key="event.title">
					<b-row>
						<b-col md="6">
							<b-img height="128" :src="require('./assets/' + event.img )"/>
						</b-col>
						<b-col md="6">
							<h3>{{ event.title }}</h3>
							<p>{{ event.approx_date }}</p>
						</b-col>
					</b-row>
					<!--<b-card title="Card Title"
						img-src="./assets/milo.jpg"
						img-alt="Image"
						img-top
						tag="article"
						style="max-width: 20rem;"
						class="mb-2">
						<p class="card-text">
							Some quick example text to build on the card title and make up the bulk of the card's content.
						</p>
						<b-button href="#" variant="primary">Go somewhere</b-button>
					</b-card>-->
				</b-list-group-item>
			</b-list-group>
		</b-modal>

		<b-modal class="text-center" ok-only id="donationInfoModal" size="lg" centered title="Where Does My Donation Go?">
			<p>
				Spreading awareness about when companies misbehave and abuse their power is absolutely critical.
				Creating and maintaining a website like this takes a lot of time and incurs many expenses along the way (such as paying for hosting, developers, graphic designers, etc.).
			</p>
			<p>
				Do you like what we are doing here?
				We hope so!
				And we'd love to make a twitter.fail and paypal.fail to help spread awareness even more.
				Your donation makes all that possible and we thank everyone very much for the generosity.
			</p>
			<p>
				A portion of the money raised will be donated to help foster Bitcoin development.
			</p>
		</b-modal>

  </div>
</template>

<script>
// import HelloWorld from './components/HelloWorld.vue'

export default {
  name: 'app',
  components: {
    // HelloWorld
  },
	data () {
		return {
			timeline: [
				{
					approx_date: 'January 15, 2019',
					title: 'Dr. Jordan Peterson and Dave Ruben will be leaving Patreon',
					img: 'jpeterson-and-drubin.jpeg',
					desc: '',
				}, {
					approx_date: 'December 7, 2018',
					title: 'Sargon of Akkad: Banned',
					img: 'sargon-of-akkad.jpg',
				}, {
					approx_date: 'December 5, 2018',
					title: 'Milo Yiannopoulos: Banned',
					img: 'milo.jpg',
				}, {
					approx_date: 'August, 2018',
					title: 'James Allsup: Banned',
					img: 'james-allsup.png',
				}, {
					approx_date: 'July 20, 2017',
					title: 'Lauren Southern: Banned',
					img: 'lauren-southern.jpg',
				},
			],
		}
	}
}
</script>

<style>
.my-jumbotron {
	background: #fbfbfb;
	box-shadow: inset 0 0 90px 35px #d7dadf;
}
.jumbo-content {
	padding-top: 5rem;
	padding-bottom: 5rem;
}
.lstn {
	list-style-type: none;
}
.footer {
	background: #444;
	color: white;
	padding: 2.5rem;
}
.footer hr {
	color: white;
}
.btc-donate-link img {
	margin: 1.25rem;
}
.extra-space {
	margin-top: 3rem;
	margin-bottom: 3rem;
}
h4 {
	padding-bottom: 1.25rem;
}
#whatsHappening img {
	margin: 1rem;
}
</style>
